
clear all; close all; clc
load DATAdel.mat
BTIME =BID(:,1);
XBPM = BID(:,2);
QICT1 =BID(:,3);
QICT2 =BID(:,4);
RESEAU_POS =BID(:,19);
DETECT_XPOS=BID(:,15);
DETECT_ZPOS=BID(:,17);
DETECT_SPOS=BID(:,13);
DETECT_RS1 =BID(:,5);
DETECT_RS2 =BID(:,7);
DETECT_RS3 =BID(:,9);
DETECT_RS4 =BID(:,11);
LPM =BID(:,21);

%% Uncomment to see what is changing
% cut=(LPM==0)&(BTIME>7.3655e+5)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6);%&(RESEAU_POS<=8000);%
% cut=(LPM==0)&(BTIME>736614)&(BTIME<736628)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6)&(DETECT_SPOS<-5e+5)&(QICT1>0.2)&(QICT1<0.6)&(DETECT_ZPOS==-1.4e+5);%&(RESEAU_POS<=8000);%
% figure
% hold on
% plot(BTIME(cut),QICT1(cut),'.r')
% plot(BTIME(cut),QICT2(cut),'.k')
% set(gca,'fontsize',16)
% legend('QICT1', 'QICT2')
% grid on
% xlabel('Time')
% ylabel('Charge, [nC?]')
% 
% %%How to deal with turns???
% figure
% hold on
% plot(BTIME(cut),DETECT_RS1(cut),'.r')%2
% plot(BTIME(cut),DETECT_RS2(cut),'.k')% 0 -3 
% plot(BTIME(cut),DETECT_RS3(cut),'.b')
% plot(BTIME(cut),DETECT_RS4(cut),'.g')%-45
% 
% 
% figure
% hold on
% plot(BTIME(cut),DETECT_XPOS(cut),'.r')
% plot(BTIME(cut),DETECT_ZPOS(cut),'.k') 
% plot(BTIME(cut),DETECT_SPOS(cut),'.b')

% 
% % time=datevec(BTIME);

%% Spectrum

figure
hold on
cut=(BTIME>7.3655e+5)&(AMP(:,3)~=1e+6)&(RESEAU_POS>1e+4)&(RESEAU_POS~=1.45e+6)&(LPM==0)&(QICT1>3.1)&(QICT1<3.5);% all other is fixed
% semilogy(RESEAU_POS(cutL),AMP(cutL,3),'.r')
plot(RESEAU_POS(cut),AMP(cut,1)./(QICT1(cut).^2),'-.or','linew',2)
 plot(RESEAU_POS(cut),AMP(cut,2)./(QICT1(cut).^2),'-.ok','linew',2)
set(gca, 'fontsize', 16)
xlabel('BGS, [a.u.]')
ylabel('Signal/Q^2, [a.u.]')
legend( 'Vertical','Horizontal','location','northwest')
grid on
title('Q_e=3.3\pm0.2 [nC]')

%checkparam(cut,0)



figure
hold on
 cut=(LPM==0)&(BTIME>7.3655e+5)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6)&(QICT1>3.1)&(QICT1<3.5)&(DETECT_ZPOS==-1.45e+5)&(DETECT_XPOS~=0)&(DETECT_XPOS~=1e+4)&(DETECT_XPOS~=-1.7e+5)&(DETECT_XPOS~=-3.4e+5);%&(RESEAU_POS<=8000);%
%  plot(DETECT_XPOS(cut),-AMP(cut,3)./(QICT1(cut).^2),'.r')
plot(DETECT_XPOS(cut)/795000*300,AMP(cut,2)./(QICT1(cut).^2),'-.ok','linew',2)
 plot(DETECT_XPOS(cut)/795000*300,AMP(cut,1)./(QICT1(cut).^2),'-.or','linew',2)
set(gca, 'fontsize', 16)
 xlabel('Xpos, [mm]')
 ylabel('Signal/Q^2, [a.u.]')
 legend('Horizontal', 'Vertical','location','northwest')
grid on
title('Q_e=3.3\pm0.2 [nC]')


% checkparam(cut,1)






