%% Plot nice figures for SPM with polarizer
%% bis mean that x axis is RS3 rotation
clear all; close all; clc
load DATAdel.mat
BTIME =BID(:,1);
XBPM = BID(:,2);
QICT1 =BID(:,3);
QICT2 =BID(:,4);
RESEAU_POS =BID(:,19);
DETECT_XPOS=BID(:,15);
DETECT_ZPOS=BID(:,17);
DETECT_SPOS=BID(:,13);
DETECT_RS1 =BID(:,5);
DETECT_RS2 =BID(:,7);
DETECT_RS3 =BID(:,9);
DETECT_RS4 =BID(:,11);
LPM =BID(:,21);

Dshift=+600000;
H=345520;%distanse from grating to detector. Check if that is true!!!




 
 figure
hold on
cut=(LPM==0)&(BTIME>7.36815e+5)&(AMP(:,2)~=1e+6)&(RESEAU_POS==1.45e+6)&(DETECT_ZPOS==-1.45e+5)&(DETECT_XPOS==0)&(DETECT_SPOS<=-2e+5);
 cut=cut&(~((DETECT_SPOS>-7.5e+5)&(DETECT_SPOS<-5.5e+5)&((AMP(:,1)./(QICT1.^2))<4e-3)));%delete bad data
cut=cut&((BTIME<736851.85)|(BTIME>736852));% delete 5&6 june
cut1=cut&(QICT1>0.3)&(QICT1<0.6)&(QICT2>0.3)&(QICT2<0.6);
% AMP=BASE;
plot(DETECT_RS3(cut1)+90,AMP(cut1,2)./(QICT1(cut1).^2),'oy','linew',2)
plot(DETECT_RS3(cut1)+90,AMP(cut1,1)./(QICT1(cut1).^2),'ok','linew',2)
[Xpos,Ypos1, Yerr]=makemean(DETECT_RS3(cut1),AMP(cut1,2)./(QICT1(cut1).^2));
plot(Xpos+90,Ypos1, '-b','linew',2)
[Xpos,Ypos2, Yerr]=makemean(DETECT_RS3(cut1),AMP(cut1,1)./(QICT1(cut1).^2));
plot(Xpos+90,Ypos2, '-r','linew',2)

set(gca, 'fontsize', 16)
xlabel('RS3, [deg]')
ylabel('Signal/Q^2, [a.u.]')
legend('Raw data, V', 'Raw data, H','Mean, V', 'Mean, H','location','southeast')
title('Q_e=0.45\pm0.15 [nC]')
grid on
 
 TH1b=Xpos+90;
 DP1b=(Ypos2-Ypos1)./(Ypos2+Ypos1);



 
figure
hold on
plot(TH1b,DP1b, '-.ok','linew',2)
%plot(TH2,DP2, '-.or','linew',2)
set(gca, 'fontsize', 16)
xlabel('Angle, [deg]')
ylabel('Degree of polarisation, [1]')
% legend('Date>30/04/2017','[2/3/17; 30/04/17]','location','southwest')
title('Q_e=0.45\pm0.15 [nC]')
grid on

