function [Amp,Base,Brms]=takedata(dirfile)
%read and fft filtering

%% chanel 1
if exist([dirfile '_ch1.csv.gz'],'file')
gunzip([dirfile '_ch1.csv.gz']);
A=csvread([dirfile '_ch1.csv'],2);
delete([dirfile '_ch1.csv']);
 FFT=fft(A(:,2));
 time=A(:,1);
 Am=abs(FFT);
 Ph=angle(FFT);
 d=50;%filter limit
 Am((d+1):(end-d))=0;
 S=Am.*exp(1i.*Ph);
 SS=real(ifft(S));
 [Amp(1),pos]=max(SS);
Base(1)=mean(SS(1:pos-50));
Brms(1)=rms(SS(1:pos-50)-Base(1));
else
   Amp(1)=1e+6;
   Base(1)=1e+6;
   Brms(1)=1e+6;
end
%% chanel 2
if exist([dirfile '_ch2.csv.gz'],'file')

gunzip([dirfile '_ch2.csv.gz']);
A=csvread([dirfile '_ch2.csv'],2);
delete([dirfile '_ch2.csv']);

 FFT=fft(A(:,2));
 time=A(:,1);
 Am=abs(FFT);
 Ph=angle(FFT);
 d=50;%filter limit
 Am((d+1):(end-d))=0;
 S=Am.*exp(1i.*Ph);
 SS=real(ifft(S));
 [Amp(2),pos]=max(SS);
Base(2)=mean(SS(1:pos-50));
Brms(2)=rms(SS(1:pos-50)-Base(2));
else
   Amp(2)=1e+6;
   Base(2)=1e+6;
   Brms(2)=1e+6;
end
%% chanel 3
if exist([dirfile '_ch3.csv.gz'],'file')

gunzip([dirfile '_ch3.csv.gz']);
A=csvread([dirfile '_ch3.csv'],2);
delete([dirfile '_ch3.csv']);

 FFT=fft(A(:,2));
 time=A(:,1);
 Am=abs(FFT);
 Ph=angle(FFT);
 d=200;%filter limit
 Am((d+1):(end-d))=0;
 S=Am.*exp(1i.*Ph);
 SS=real(ifft(S));
 [Amp(3),pos]=min(SS);
Base(3)=mean(SS(1:pos-50));
Brms(3)=rms(SS(1:pos-50)-Base(3));
else
   Amp(3)=1e+6;
   Base(3)=1e+6;
   Brms(3)=1e+6;
end
