function []=checkparam(cut,plt)

load DATAdel.mat
BTIME =BID(:,1);
XBPM = BID(:,2);
QICT1 =BID(:,3);
QICT2 =BID(:,4);
RESEAU_POS =BID(:,19);
DETECT_XPOS=BID(:,15);
DETECT_ZPOS=BID(:,17);
DETECT_SPOS=BID(:,13);
DETECT_RS1 =BID(:,5);
DETECT_RS2 =BID(:,7);
DETECT_RS3 =BID(:,9);
DETECT_RS4 =BID(:,11);
LPM =BID(:,21);

if (plt)


figure(1001)
hold on
plot(BTIME(cut),RESEAU_POS(cut),'.r')
title('RESEAU_POS')

figure(1002)
hold on
plot(BTIME(cut),QICT1(cut),'.r')
plot(BTIME(cut),QICT2(cut),'.k')
set(gca,'fontsize',16)
legend('QICT1', 'QICT2')
grid on
xlabel('Time')
ylabel('Charge, [nC?]')

%%How to deal with turns???
figure(1003)
hold on
plot(BTIME(cut),DETECT_RS1(cut),'.r')%2
plot(BTIME(cut),DETECT_RS2(cut),'.k')% 0 -3 
plot(BTIME(cut),DETECT_RS3(cut),'.b')
plot(BTIME(cut),DETECT_RS4(cut),'.g')%-45
legend('RS1','RS2','RS3','RS4')

figure(1004)
hold on
plot(BTIME(cut),DETECT_XPOS(cut),'.r')
plot(BTIME(cut),DETECT_ZPOS(cut),'.k') 
plot(BTIME(cut),DETECT_SPOS(cut),'.b')

legend('xpos','zpos','spos')

figure(1005)
hold on
plot(BTIME(cut),LPM(cut),'.r')
title('LPM')
end
if mean(LPM(cut))==2
iword='Long pulse mode, ';
else
iword='Short pulse mode, ';
end
disp([iword, 'grating position = ' num2str(mean(RESEAU_POS(cut))) ...
    ', $QICT_1$ = $' num2str(mean(QICT1(cut))) '\pm' num2str(std(QICT1(cut))) '$' ...
    ', $QICT_2$ = $' num2str(mean(QICT2(cut))) '\pm' num2str(std(QICT2(cut))) '$' ...
    ', $RS_1$ = ' num2str(mean(DETECT_RS1(cut))) ', $RS_2$ = ' num2str(mean(DETECT_RS2(cut))) ...
    ', $RS_3$ = ' num2str(mean(DETECT_RS3(cut))) ', $RS_4$ = ' num2str(mean(DETECT_RS4(cut))) ...
    ', XPOS = ' num2str(mean(DETECT_XPOS(cut))) ', ZPOS = ' num2str(mean(DETECT_ZPOS(cut))) ', SPOS = ' num2str(mean(DETECT_SPOS(cut))) ...
    ])


