clear all; close all; clc
load DATAdel.mat
BTIME =BID(:,1);
XBPM = BID(:,2);
QICT1 =BID(:,3);
QICT2 =BID(:,4);
RESEAU_POS =BID(:,19);
DETECT_XPOS=BID(:,15);
DETECT_ZPOS=BID(:,17);
DETECT_SPOS=BID(:,13);
DETECT_RS1 =BID(:,5);
DETECT_RS2 =BID(:,7);
DETECT_RS3 =BID(:,9);
DETECT_RS4 =BID(:,11);
LPM =BID(:,21);
%7.36815e+5 to the end
%7.36756e+5 to 7.36815e+5
%7.3655e+5 to 7.36756e+5

cut=(LPM==0)&(BTIME>7.3655e+5)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6);%&(RESEAU_POS<=8000);%

%0.4 0.6
%3.1 3.52
% AMP=BASE;
figure
hold on
plot(BTIME(cut),QICT1(cut),'.r')
plot(BTIME(cut),QICT2(cut),'.k')
set(gca,'fontsize',16)
legend('QICT1', 'QICT2')
grid on
xlabel('Time')
ylabel('Charge, [nC?]')

%%How to deal with turns???
figure
hold on
plot(BTIME(cut),DETECT_RS1(cut),'.r')%2
plot(BTIME(cut),DETECT_RS2(cut),'.k')% 0 -3 
plot(BTIME(cut),DETECT_RS3(cut),'.b')
plot(BTIME(cut),DETECT_RS4(cut),'.g')%-45


figure
hold on
plot(BTIME(cut),DETECT_XPOS(cut),'.r')
plot(BTIME(cut),DETECT_ZPOS(cut),'.k') 
plot(BTIME(cut),DETECT_SPOS(cut),'.b')

figure
hold on
plot(BTIME(cut),DEL(cut),'.r')

