%%
clear all; close all; clc
 load DATAdel.mat
% BTIME =BID(:,1);
% XBPM = BID(:,2);
% QICT1 =BID(:,3);
% QICT2 =BID(:,4);
% RESEAU_POS =BID(:,19);
% DETECT_XPOS=BID(:,15);
% DETECT_ZPOS=BID(:,17);
 DETECT_SPOS=BID(:,13);
% DETECT_RS1 =BID(:,5);
% DETECT_RS2 =BID(:,7);
 DETECT_RS3 =BID(:,9);
% DETECT_RS4 =BID(:,11);
% LPM =BID(:,21);

Dshift=600000;%90^o postion in S

H=294;
L=90;
x1=unique(sort(DETECT_SPOS));
x0=(unique(sort(DETECT_SPOS))+Dshift)/795000*300;%position SPOS
HORN=exp(-x0.^2/(2*(7.8)^2));
HORN(HORN<0)=0;
beta=atan(x0/H);% angle from position
TA=beta/3*0;%RS3 or RS4 in rad
for c=1:length(x0)
if abs(x0(c))<=L/2
    aph1(c)=atan((L/2+x0(c))/(H));
    aph2(c)=atan((L/2-x0(c))/(H));
elseif abs(x0(c))>L/2
    aph1(c)=-atan(-(L/2+x0(c))/(H));
    aph2(c)=atan((L/2-x0(c))/(H));
end
%ACPT(c)=size(HORN,2);

% AAA=unique(sort(DETECT_RS3(DETECT_SPOS==x1(c))));
% if ~isempty(AAA)
%     TA(c)=min(AAA)/180*pi;
% end

     ACPT(c)=sum(HORN((beta>(-aph1(c)+TA(c)))&(beta<(aph2(c)+TA(c)))));

end


figure
hold on
plot(90-beta/pi*180, 90-(aph1/pi*180),'r','linew',2)%begining
plot(90-beta/pi*180,90+ (aph2/pi*180),'k','linew',2)%end
%of integration of angular acceptance
plot(90-beta/pi*180, (90+1.75-TA/pi*180),'--g','linew',2)%begining
plot(90-beta/pi*180,(90-1.75-TA/pi*180),'--g','linew',2)%end
grid on
set(gca,'fontsize',16)
xlabel('Angle (Spos), [deg.]')
ylabel('Angle (\alpha*), [deg.]')
legend('\alpha_2','\alpha_1','\gamma_D','location','southeast')
figure
hold on
plot(beta/pi*180,aph1+aph2,'r')%angle of detector seen from grating
plot(beta/pi*180,HORN,'k')%angle of detector seen from grating

figure
plot(90-beta/pi*180,ACPT)




