function CoolDay(path, date_var)

 if (exist([path date_var '_scope/beam_info_' date_var '.mat'],'file'))
     %disp(['Loading beam_info_' date_var '.mat']);
 load([path date_var '_scope/beam_info_' date_var '.mat']);
 else 
beamInfo=0;
 end
 
if (~exist(['Data_' date_var '.mat'],'file'))
directory=[path date_var '_scope/'];
 listing = dir([directory '*.png']);
 Filelist={listing.name}';
  name=char(Filelist(:));
 hour=name(:,16:21);
 for c=1:size(hour,1)
file=['scope_' date_var '_' hour(c,:) ];
 try
 [Amp(c,:),Base(c,:),Brms(c,:)]=takedata([directory file]);
  catch 
    disp(['Bad try on ' file]);
    Amp(c,:)=ones([1 3])*1e+6;
    Base(c,:)=ones([1 3])*1e+6;
    Brms(c,:)=ones([1 3])*1e+6;
  end
 end

save(['Data_' date_var '.mat'], 'Amp', 'Base', 'Brms','hour','beamInfo')
end
